---
title: BluetoothAdvertisingData
slug: Web/API/BluetoothAdvertisingData
tags:
  - API
  - Bluetooth
  - BluetoothAdvertisingData
  - Interface
  - Non-standard
  - Obsolete
  - Reference
  - Web Bluetooth API
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The BluetoothDevice interface of the <a href="/Web/API/Web_Bluetooth_API">Web Bluetooth API</a> provides advertising data about a particular Bluetooth device.</p>

<h2 id="Interface">Interface</h2>

<pre class="syntaxbox">interface BluetoothAdvertisingData {
  readonly attribute unsigned short? appearance;
  readonly attribute byte? txPower;
  readonly attribute byte? rssi;
  readonly attribute Map manufacturerData;
  readonly attribute Map serviceData;
};</pre>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("BluetoothAdvertisingData.appearance")}} {{ReadOnlyInline}}</dt>
 <dd>Returns one of the values defined by the <code>org.bluetooth.characteristic.gap.appearance</code> characteristic.</dd>
 <dt>{{DOMxRef("BluetoothAdvertisingData.txPower")}} {{ReadOnlyInline}}</dt>
 <dd>Returns the transmission power at which the device is broadcasting, measured in dBm. This is used to compute the path loss as <code>this.txPower - this.rssi</code>.</dd>
 <dt>{{DOMxRef("BluetoothAdvertisingData.rssi")}} {{ReadOnlyInline}}</dt>
 <dd>Returns the power at which the device’s packets are being received, measured in dBm. This is used to compute the path loss as <code>this.txPower - this.rssi</code>.</dd>
 <dt>{{DOMxRef("BluetoothAdvertisingData.manufacturerData")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a map that relates Company Identifier Codes to {{JSxRef("ArrayBuffer", "ArrayBuffers")}}.</dd>
 <dt>{{DOMxRef("BluetoothAdvertisingData.serviceData")}} {{ReadOnlyInline}}</dt>
 <dd>Returns a map that relates UUIDs to {{JSxRef("ArrayBuffer", "ArrayBuffers")}}.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothAdvertisingData")}}</p>
